## org.eclipse.datatools.modelbase.sql.constraints
Interface UniqueConstraint

All Superinterfaces:
  Constraint, ReferenceConstraint, SQLObject, TableConstraint

All Known Subinterfaces:
  PrimaryKey

All Known Implementing Classes:
  PrimaryKeyImpl, UniqueConstraintImpl

public interface UniqueConstraint
extends ReferenceConstraint

A representation of the model object 'Unique Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints, 5WD-02-Foundation-2002-12 11.7 <unique contraint definition>

The following features are supported:

- `Foreign Key`

See Also:
  `SQLConstraintsPackage.getUniqueConstraint()`

Method Summary
`EList` `getForeignKey()` Returns the value of the 'Foreign Key' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getForeignKey

    public EList getForeignKey()

  Returns the value of the 'Foreign Key' reference list. The list contents are of type `ForeignKey`. It is bidirectional and its opposite is '`Unique Constraint`'.

  If the meaning of the 'Foreign Key' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreign Key' reference list.
  See Also:
    `SQLConstraintsPackage.getUniqueConstraint_ForeignKey()`, `ForeignKey.getUniqueConstraint()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.